<template>
  <v-app>
    <v-overlay v-model="searchOverlay"></v-overlay>
    <v-app-bar flat fixed color="white" v-if="$store.getters.isLoggedIn">
      <v-spacer></v-spacer>
      <v-btn text>
        <v-icon left>mdi-pencil</v-icon>
        <div class="overline">Notes</div>
      </v-btn>
      <v-btn text>
        <v-icon left>mdi-check</v-icon>
        <div class="overline">Checklists</div>
      </v-btn>
      <v-spacer></v-spacer>

      <v-btn icon>
        <v-icon>mdi-settings</v-icon>
      </v-btn>

      <v-dialog max-width="40%">
        <template v-slot:activator="{ on }">
          <v-btn icon v-on="on">
            <v-icon>mdi-magnify</v-icon>
          </v-btn>
        </template>
        <v-text-field
          autofocus
          solo-inverted
          placeholder="search"
          prepend-inner-icon="mdi-magnify"
          hide-details
        ></v-text-field>
      </v-dialog>
    </v-app-bar>

    <v-content class="mt-5 pt-5">
      <router-view></router-view>
    </v-content>
  </v-app>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "App",
  data: () => ({
    authenticated: false,
    searchOverlay: false
  }),
  methods: {
    openSearch() {
      this.searchOverlay = true;
    }
  }
});
</script>
